Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PostRestoreStateEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent
                  javax.faces.event.PostRestoreStateEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PostRestoreStateEvent

extends ComponentSystemEvent

When an instance of this event is passed to `SystemEventListener.processEvent(javax.faces.event.SystemEvent)` or `ComponentSystemEventListener.processEvent(javax.faces.event.ComponentSystemEvent)`, the listener implementation may assume that the `source` of this event instance is in a tree that has just had its state restored.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PostRestoreStateEvent(UIComponent component)` Instantiate a new `PostRestoreStateEvent` that indicates the argument `component` just had its state restored.

Method Summary
`void` | `setComponent(UIComponent newComponent)`

Methods inherited from class javax.faces.event.ComponentSystemEvent
`getComponent`

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostRestoreStateEvent

    public PostRestoreStateEvent(UIComponent component)

  Instantiate a new `PostRestoreStateEvent` that indicates the argument `component` just had its state restored.

  Parameters:
    `component` - the `UIComponent` whose state was just restored.
  Throws:
    ``IllegalArgumentException`` - if the argument is `null`.

Method Detail

### setComponent

    public void setComponent(UIComponent newComponent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.